package com.mvc.entity;

import java.util.Date;

/**
* @Description: 告警订阅表
* @Author: guozhao
* @CreateDate: 2024-09-05 10:38:28
*/
public class TAlarmSubscription {
    /**
     * 主键
     */
    private Integer id;

    /**
     * 规则名称
     */
    private String rulesName;

    /**
     * 手机号码(支持多个,逗号分割)
     */
    private String phoneNumber;

    /**
     * 邮箱地址(支持多个,逗号分割)
     */
    private String emailAddress;

    /**
     * 阈值
     */
    private Integer thresholdValue;

    /**
     * 持续小时数(默认24小时)
     */
    private Integer durationHours;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 启用标记(1启用)
     */
    private Integer useFlag;

    /**
     * 创建人
     */
    private String createMan;

    /**
     * 创建日期
     */
    private Date createTime;

    /**
     * 单位编号(创建人所属的单位编号)
     */
    private String unitCode;

    /**
     * 预留扩展字段
     */
    private String extendField;

    /**
     * 短信API对应的正文模板ID
     */
    private Integer apiTemplateId;

    /**
     * 短信API对应的签名名称
     */
    private String apiSignName;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getRulesName() {
        return rulesName;
    }

    public void setRulesName(String rulesName) {
        this.rulesName = rulesName == null ? null : rulesName.trim();
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber == null ? null : phoneNumber.trim();
    }

    public String getEmailAddress() {
        return emailAddress;
    }

    public void setEmailAddress(String emailAddress) {
        this.emailAddress = emailAddress == null ? null : emailAddress.trim();
    }

    public Integer getThresholdValue() {
        return thresholdValue;
    }

    public void setThresholdValue(Integer thresholdValue) {
        this.thresholdValue = thresholdValue;
    }

    public Integer getDurationHours() {
        return durationHours;
    }

    public void setDurationHours(Integer durationHours) {
        this.durationHours = durationHours;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks == null ? null : remarks.trim();
    }

    public Integer getUseFlag() {
        return useFlag;
    }

    public void setUseFlag(Integer useFlag) {
        this.useFlag = useFlag;
    }

    public String getCreateMan() {
        return createMan;
    }

    public void setCreateMan(String createMan) {
        this.createMan = createMan == null ? null : createMan.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode == null ? null : unitCode.trim();
    }

    public String getExtendField() {
        return extendField;
    }

    public void setExtendField(String extendField) {
        this.extendField = extendField == null ? null : extendField.trim();
    }

    public Integer getApiTemplateId() {
        return apiTemplateId;
    }

    public void setApiTemplateId(Integer apiTemplateId) {
        this.apiTemplateId = apiTemplateId;
    }

    public String getApiSignName() {
        return apiSignName;
    }

    public void setApiSignName(String apiSignName) {
        this.apiSignName = apiSignName == null ? null : apiSignName.trim();
    }
}